using System;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZooContracts.StoragesContracts
{
    public interface IRouteReserveStorage
    {
        List<RouteReserveViewModel> GetFullList();
        List<RouteReserveViewModel> GetFilteredList(RouteReserveSearchModel model);
        RouteReserveViewModel GetElement(RouteReserveSearchModel model);
        RouteReserveViewModel? Insert(RouteReserveBindingModel model);
        RouteReserveViewModel? Update(RouteReserveBindingModel model);
        RouteReserveViewModel? Delete(RouteReserveBindingModel model);
    }
}
